require 'helper'
require 'vcr'

describe 'Verifying email' do

  VCR.configure do |c|
    c.cassette_library_dir = 'spec/fixtures/vcr_cassettes'
    c.hook_into :webmock
  end

  let(:subject) { EmailVerifier.new 'our_API_key' }

  it 'should verify that email is valid' do
    VCR.use_cassette 'briteverify_responses/valid_email' do
      subject.verify('szabolcs@nationbuilder.com').should == :valid
    end
  end

  it 'should verify that email is invalid for know domain' do
    VCR.use_cassette 'briteverify_responses/invalid_email' do
      subject.verify('this_email_possible_does_not_exist@gmail.com').should == :invalid
    end
  end

  it 'should verify that email is unknown for an obscure domain' do
    VCR.use_cassette 'briteverify_responses/unknown_email' do
      subject.verify('this_email_possible_does_not_exist@invalid.email.com').should == :unknown
    end
  end
end
